All of lore.kernel.org
 help / color / mirror / Atom feed
* [PATCH v2 1/2] perf tests kvm: Avoid leaving perf.data.guest file around
@ 2025-12-04 22:55 Ian Rogers
  2025-12-04 22:55 ` [PATCH v2 2/2] perf tests top: Make the test exclusive Ian Rogers
  2025-12-24 19:38 ` [PATCH v2 1/2] perf tests kvm: Avoid leaving perf.data.guest file around Namhyung Kim
  0 siblings, 2 replies; 3+ messages in thread
From: Ian Rogers @ 2025-12-04 22:55 UTC (permalink / raw)
  To: Peter Zijlstra, Ingo Molnar, Arnaldo Carvalho de Melo,
	Namhyung Kim, Alexander Shishkin, Jiri Olsa, Ian Rogers,
	Adrian Hunter, linux-kernel, linux-perf-users

Ensure the perf.data output when checking permissions is written to
/dev/null so that it isn't left in the directory the test is run.

Fixes: b58261584d2f ("perf test kvm: Add some basic perf kvm test coverage")
Signed-off-by: Ian Rogers <irogers@google.com>
---
 tools/perf/tests/shell/kvm.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/tools/perf/tests/shell/kvm.sh b/tools/perf/tests/shell/kvm.sh
index 2fafde1a29cc..2a399b83fe80 100755
--- a/tools/perf/tests/shell/kvm.sh
+++ b/tools/perf/tests/shell/kvm.sh
@@ -118,7 +118,7 @@ setup_qemu() {
 		skip "/dev/kvm not accessible"
 	fi
 
-	if ! perf kvm stat record -a sleep 0.01 >/dev/null 2>&1; then
+	if ! perf kvm stat record -o /dev/null -a sleep 0.01 >/dev/null 2>&1; then
 		skip "No permission to record kvm events"
 	fi
 
-- 
2.52.0.223.gf5cc29aaa4-goog


^ permalink raw reply related	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2025-12-24 19:38 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2025-12-04 22:55 [PATCH v2 1/2] perf tests kvm: Avoid leaving perf.data.guest file around Ian Rogers
2025-12-04 22:55 ` [PATCH v2 2/2] perf tests top: Make the test exclusive Ian Rogers
2025-12-24 19:38 ` [PATCH v2 1/2] perf tests kvm: Avoid leaving perf.data.guest file around Namhyung Kim

This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.